QGIS Application - Feature request #14000
Altas option: hidden coverage layer > show current feature
2015-12-16 06:14 AM - Matt Sim

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22014
Description

Use case: A layer contains a set of objects representing alternate configurations for the same feature. (size, scale, shape, orientation,
style). A series of print maps are needed showing each configuration, independent of all others.

Feature request: add a checkbox indented and below "Hidden coverage layer"
Example:

[1 Hidden coverage layer
[] Show current feature

Behaviour: During atlas generation, hide all features on the coverage layer except the one currently active for map.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer

- Category set to Unknown

#3 - 2019-02-12 04:38 PM - Pedro Venancio

This can be achieved using the method described by Alexandre Neto here:

https://gis.stackexchange.com/questions/173399/filtering-features-in-other-layers-of-ggis-atlas

So, this ticket can be closed.

#4 - 2019-02-12 07:52 PM - Giovanni Manghi
- Category changed from Unknown to Map Composer/Printing
- Description updated

Pedro Venancio wrote:

This can be achieved using the method described by Alexandre Neto here:
https.//qgis.stackexchange.com/questions/173399/filtering-features-in-other-layers-of-qgis-atlas

So, this ticket can be closed.
https://gis.stackexchange.com/questions/173399/filtering-features-in-other-layers-of-qgis-atlas
https://gis.stackexchange.com/questions/173399/filtering-features-in-other-layers-of-qgis-atlas

this is a nice workaround, but | agree with the issuer that this would be nice to be implemented as an Atlas option.
